<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- qtquick-app-tutorial.qdoc -->
  <title>Creating a Qt Quick Application | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Creating a Qt Quick Application</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-tutorials.html" />
  <link rel="next" href="creator-writing-program.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-tutorials.html">Tutorials</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-writing-program.html">Creating a Qt Widget Based Application</a>
</p><p/>
<h1 class="title">Creating a Qt Quick Application</h1>
<span class="subtitle"></span>
<pre class="qml">

  <span class="comment">/****************************************************************************
  **
  ** Copyright (C) 2017 The Qt Company Ltd.
  ** Contact: https://www.qt.io/licensing/
  **
  ** This file is part of Qt Creator
  **
  ** $QT_BEGIN_LICENSE:BSD$
  ** Commercial License Usage
  ** Licensees holding valid commercial Qt licenses may use this file in
  ** accordance with the commercial license agreement provided with the
  ** Software or, alternatively, in accordance with the terms contained in
  ** a written agreement between you and The Qt Company. For licensing terms
  ** and conditions see https://www.qt.io/terms-conditions. For further
  ** information use the contact form at https://www.qt.io/contact-us.
  **
  ** BSD License Usage
  ** Alternatively, you may use this file under the terms of the BSD license
  ** as follows:
  **
  ** &quot;Redistribution and use in source and binary forms, with or without
  ** modification, are permitted provided that the following conditions are
  ** met:
  **   * Redistributions of source code must retain the above copyright
  **     notice, this list of conditions and the following disclaimer.
  **   * Redistributions in binary form must reproduce the above copyright
  **     notice, this list of conditions and the following disclaimer in
  **     the documentation and/or other materials provided with the
  **     distribution.
  **   * Neither the name of The Qt Company Ltd nor the names of its
  **     contributors may be used to endorse or promote products derived
  **     from this software without specific prior written permission.
  **
  **
  ** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
  ** &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
  ** LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
  ** A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
  ** OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
  ** SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
  ** LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
  ** DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
  ** THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
  ** (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
  ** OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.&quot;
  **
  ** $QT_END_LICENSE$
  **
  ****************************************************************************/</span>
  import QtQuick 2.9
  import QtQuick.Controls 2.2

  <span class="type"><a href="http://doc.qt.io/qt-5/qml-qtquick-controls2-page.html">Page</a></span> {
      <span class="name">id</span>: <span class="name">page</span>
      <span class="name">width</span>: <span class="number">600</span>
      <span class="name">height</span>: <span class="number">400</span>

      <span class="name">header</span>: <span class="name">Label</span> {
          <span class="name">text</span>: <span class="name">qsTr</span>(<span class="string">&quot;Page 1&quot;</span>)
          <span class="name">font</span>.pixelSize: <span class="name">Qt</span>.<span class="name">application</span>.<span class="name">font</span>.<span class="name">pixelSize</span> <span class="operator">*</span> <span class="number">2</span>
          <span class="name">padding</span>: <span class="number">10</span>
      }

      property <span class="type">alias</span> <span class="name">icon</span>: <span class="name">icon</span>
      property <span class="type">alias</span> <span class="name">topLeftRect</span>: <span class="name">topLeftRect</span>
      property <span class="type">alias</span> <span class="name">bottomLeftRect</span>: <span class="name">bottomLeftRect</span>
      property <span class="type">alias</span> <span class="name">middleRightRect</span>: <span class="name">middleRightRect</span>

      property <span class="type">alias</span> <span class="name">mouseArea2</span>: <span class="name">mouseArea2</span>
      property <span class="type">alias</span> <span class="name">mouseArea1</span>: <span class="name">mouseArea1</span>
      property <span class="type">alias</span> <span class="name">mouseArea</span>: <span class="name">mouseArea</span>

      <span class="type"><a href="http://doc.qt.io/qt-5/qml-qtquick-image.html">Image</a></span> {
          <span class="name">id</span>: <span class="name">icon</span>
          <span class="name">x</span>: <span class="number">10</span>
          <span class="name">y</span>: <span class="number">20</span>
          <span class="name">source</span>: <span class="string">&quot;qt-logo.png&quot;</span>
      }

      <span class="type"><a href="http://doc.qt.io/qt-5/qml-qtquick-rectangle.html">Rectangle</a></span> {
          <span class="name">id</span>: <span class="name">topLeftRect</span>
          <span class="name">width</span>: <span class="number">55</span>
          <span class="name">height</span>: <span class="number">41</span>
          <span class="name">color</span>: <span class="string">&quot;#00000000&quot;</span>
          <span class="name">anchors</span>.left: <span class="name">parent</span>.<span class="name">left</span>
          <span class="name">anchors</span>.leftMargin: <span class="number">10</span>
          <span class="name">anchors</span>.top: <span class="name">parent</span>.<span class="name">top</span>
          <span class="name">anchors</span>.topMargin: <span class="number">20</span>
          <span class="name">border</span>.color: <span class="string">&quot;#808080&quot;</span>

          <span class="type"><a href="http://doc.qt.io/qt-5/qml-qtquick-mousearea.html">MouseArea</a></span> {
              <span class="name">id</span>: <span class="name">mouseArea</span>
              <span class="name">anchors</span>.fill: <span class="name">parent</span>
          }
      }

      <span class="type"><a href="http://doc.qt.io/qt-5/qml-qtquick-rectangle.html">Rectangle</a></span> {
          <span class="name">id</span>: <span class="name">middleRightRect</span>
          <span class="name">width</span>: <span class="number">55</span>
          <span class="name">height</span>: <span class="number">41</span>
          <span class="name">color</span>: <span class="string">&quot;#00000000&quot;</span>
          <span class="name">anchors</span>.right: <span class="name">parent</span>.<span class="name">right</span>
          <span class="name">anchors</span>.rightMargin: <span class="number">10</span>
          <span class="name">anchors</span>.verticalCenter: <span class="name">parent</span>.<span class="name">verticalCenter</span>
          <span class="name">border</span>.color: <span class="string">&quot;#808080&quot;</span>
          <span class="type"><a href="http://doc.qt.io/qt-5/qml-qtquick-mousearea.html">MouseArea</a></span> {
              <span class="name">id</span>: <span class="name">mouseArea1</span>
              <span class="name">anchors</span>.fill: <span class="name">parent</span>
          }
      }

      <span class="type"><a href="http://doc.qt.io/qt-5/qml-qtquick-rectangle.html">Rectangle</a></span> {
          <span class="name">id</span>: <span class="name">bottomLeftRect</span>
          <span class="name">width</span>: <span class="number">55</span>
          <span class="name">height</span>: <span class="number">41</span>
          <span class="name">color</span>: <span class="string">&quot;#00000000&quot;</span>
          <span class="name">anchors</span>.bottom: <span class="name">parent</span>.<span class="name">bottom</span>
          <span class="name">anchors</span>.bottomMargin: <span class="number">20</span>
          <span class="name">border</span>.color: <span class="string">&quot;#808080&quot;</span>
          <span class="type"><a href="http://doc.qt.io/qt-5/qml-qtquick-mousearea.html">MouseArea</a></span> {
              <span class="name">id</span>: <span class="name">mouseArea2</span>
              <span class="name">anchors</span>.fill: <span class="name">parent</span>
          }
          <span class="name">anchors</span>.left: <span class="name">parent</span>.<span class="name">left</span>
          <span class="name">anchors</span>.leftMargin: <span class="number">10</span>
      }
  }

</pre>
